| Qore DataProvider Module Reference 3.2.2

Loading...
Searching...
No Matches
Public Attributes | List of all members
DataProvider::DataProviderExpressionInfo Struct Reference

Data provider signature info. More...

`#include <AbstractDataProvider.qc.dox.h>`

## Public Attributes
*softlist< hash< DataProviderArgInfo > > | arg_info
| Argument info.
softlist< hash< DataProviderSignatureTypeInfo > > | args
| Argument types.
string | desc
| The description of the operation.
string | display_name
| The display name.
string | name
| The technical name or internal label used for the expression.
AbstractDataProviderType | return_type
| The return type.
int | role = ER_All
| The expression role code / bitfield.
string | short_desc
| The short description of the operation.
int | subtype = DES_Generic
| The expression subtype.
string | symbol
| The symbol to use when rendering expressions.
int | type
| The type of expression; see DataProvider Expression Type Codes.
bool | varargs = False
| The last argument can be repeated indefinitely.

## Detailed Description

Data provider signature info.

## Member Data Documentation

## ◆ desc

string DataProvider::DataProviderExpressionInfo::desc

The description of the operation.

With markdown formatting

## ◆ name

string DataProvider::DataProviderExpressionInfo::name

The technical name or internal label used for the expression.

Must correspond to the key used in any expression hash

## ◆ role

int DataProvider::DataProviderExpressionInfo::role = ER_All

The expression role code / bitfield.

See also
  Expression Role Codes

## ◆ subtype

int DataProvider::DataProviderExpressionInfo::subtype = DES_Generic

The expression subtype.

@ee DataProvider Expression Subtype Codes